### Method

# ECal ComponentBag clear

since: 3.58

#### Declaration [src]

    void
    e_cal_component_bag_clear (
      ECalComponentBag* self
    )

#### Description [src]

Removes all components from the bag.

This does not emit the ECalComponentBag::removed for each span, but it notifies about a change in the ECalComponentBag:n-spans and in the ECalComponentBag:n-items properties, which will be zero.

Available since: 3.58